/*
	QueryToDataProvider.as

	Mike Chambers
	mesh@macromedia.com

	Converted to AS2 by sasha Magee - smagee@macromedia.com

	Converts a serialized query object from ColdFusion (retrieved via
	the web services api) into a Central.DataProviderClass

	Usage :

	var dp = QueryToDataProvider.filter(query);

*/

class QueryToDataProvider
{

	static public function filter(query:Object):mx.central.data.DataProviderClass
	{
		var cl:Array = query.columnList;
		var dp:mx.central.data.DataProviderClass = new mx.central.data.DataProviderClass();

		var qLen:Number = query.data.length
		var cLen:Number;

		for(var i=0; i< qLen; i++)
		{
			var o:Object = new Object();

			cLen = cl.length;
			for(var c=0;c<cLen;c++)
			{
				o[cl[c]] = query.data[i][c];
			}
			dp.addItem(o);
			delete(o);
		}
		return dp;
	}
}